Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1366229 - Missing Requires python2-dnf
Summary: Missing Requires python2-dnf
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: bodhi
Version: 24
Hardware: Unspecified
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Randy Barlow
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-08-11 10:33 UTC by Ricardo Cordeiro
Modified: 2016-12-11 11:21 UTC (History)
2 users (show)

Fixed In Version: bodhi-0.9.12.2-6.fc25
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-12-04 02:26:48 UTC


Attachments (Terms of Use)

Description Ricardo Cordeiro 2016-08-11 10:33:02 UTC
Description of problem:

On Fedora 24, when attempting to run `bodhi -T` the program aborts with a ImportError: No module named dnf


Version-Release number of selected component (if applicable):

bodhi-client-0.9.12.2-4.fc24.noarch

How reproducible: Always

Steps to Reproduce:
1. dnf install bodhi
2. bodhi -T

Actual results:

$ rpm -qa | grep dnf
python3-dnf-plugins-core-0.1.21-2.fc24.noarch
dnf-1.1.9-2.fc24.noarch
dnf-plugins-core-0.1.21-2.fc24.noarch
python3-dnf-1.1.9-2.fc24.noarch
python3-dnf-plugin-system-upgrade-0.7.1-2.fc24.noarch
dnf-conf-1.1.9-2.fc24.noarch
dnf-yum-1.1.9-2.fc24.noarch
dnf-plugin-system-upgrade-0.7.1-2.fc24.noarch

$ bodhi -T 
No handlers could be found for logger "fedora.client.bodhi"
Traceback (most recent call last):
  File "/usr/bin/bodhi", line 537, in <module>
    main()
  File "/usr/bin/bodhi", line 356, in main
    for update in bodhi.testable():
  File "/usr/lib/python2.7/site-packages/fedora/client/bodhi.py", line 376, in testable
    import dnf
ImportError: No module named dnf


Expected results:

$ rpm -qa | grep dnf
python3-dnf-plugins-core-0.1.21-2.fc24.noarch
dnf-1.1.9-2.fc24.noarch
dnf-plugins-core-0.1.21-2.fc24.noarch
python3-dnf-1.1.9-2.fc24.noarch
python3-dnf-plugin-system-upgrade-0.7.1-2.fc24.noarch
dnf-conf-1.1.9-2.fc24.noarch
python2-dnf-1.1.9-2.fc24.noarch
dnf-yum-1.1.9-2.fc24.noarch
dnf-plugin-system-upgrade-0.7.1-2.fc24.noarch

`bodhi -T` not showing the `ImportError: No module named dnf` exception.


Additional info:

Workaround to this is to install python2-dnf manually until the Requires gets added to the spec file.

Although I didn't test this on rawhide, I expect the same behavior to happen as 0.9.12.2-5's spec file is just a release bump from the previous release.

Comment 1 Fedora Update System 2016-11-30 21:30:54 UTC
bodhi-0.9.12.2-6.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-c2f56716df

Comment 2 Randy Barlow 2016-11-30 21:48:34 UTC
Bodhi 2 does not import dnf, so I've fixed this in Fedora 23, 24, and 25, but not Rawhide.

Comment 3 Fedora Update System 2016-12-01 03:06:08 UTC
bodhi-0.9.12.2-4.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-59cac52504

Comment 4 Fedora Update System 2016-12-01 23:58:24 UTC
bodhi-0.9.12.2-4.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-59cac52504

Comment 5 Fedora Update System 2016-12-03 04:34:19 UTC
bodhi-0.9.12.2-6.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-c2f56716df

Comment 6 Fedora Update System 2016-12-03 05:40:55 UTC
bodhi-0.9.12.2-5.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-c7666a84be

Comment 7 Fedora Update System 2016-12-04 02:26:48 UTC
bodhi-0.9.12.2-6.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2016-12-11 02:23:05 UTC
bodhi-0.9.12.2-5.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2016-12-11 11:21:20 UTC
bodhi-0.9.12.2-4.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.